Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge --depclean does not start
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Mati
Apprentice
Apprentice


Joined: 02 Sep 2008
Posts: 172

PostPosted: Sun Mar 15, 2015 6:57 pm    Post subject: emerge --depclean does not start Reply with quote

Hi,

i want to do a emerge --depclean, however my output is the following, where at the end the scanning of "Scanning /usr/i686-pc-linux-gnu/lib"
does not do anything. The screen stops (or the scan is running, i don't know) and nothing happens. Even after 1 hour nothing proceeds. Does anybody know whats going on or how i could solve this issue? Thanks a lot!


Code:

emerge --depclean

 * Always study the list of packages to be cleaned for any obvious
 * mistakes. Packages that are part of the world set will always
 * be kept.  They can be manually added to this set with
 * `emerge --noreplace <atom>`.  Packages that are listed in
 * package.provided (see portage(5)) will be removed by
 * depclean, even if they are part of the world set.
 *
 * As a safety measure, depclean will not remove any packages
 * unless *all* required dependencies have been resolved.  As a
 * consequence of this, it often becomes necessary to run
 * `emerge --update --newuse --deep @world` prior to depclean.

Calculating dependencies... done!
>>> Calculating removal order...

 sys-devel/gcc
    selected: 4.7.3-r1
   protected: none
     omitted: 4.8.3

 media-libs/libvpx
    selected: 1.3.0
   protected: none
     omitted: none

 perl-core/IO-Compress
    selected: 2.60.0
   protected: none
     omitted: none

 sys-devel/automake
    selected: 1.12.6
   protected: none
     omitted: 1.11.6-r1 1.13.4

 virtual/perl-IO
    selected: 1.25
   protected: none
     omitted: none

 sys-kernel/gentoo-sources
    selected: 3.14.14
   protected: none
     omitted: 3.18.7

 app-portage/cpuinfo2cpuflags
    selected: 1
   protected: none
     omitted: none

 virtual/perl-IPC-Cmd
    selected: 0.780.0
   protected: none
     omitted: none

 media-libs/lcms
    selected: 1.19-r2
   protected: none
     omitted: 2.6-r1

 app-mobilephone/obexd
    selected: 0.46
   protected: none
     omitted: none

 virtual/perl-IO-Zlib
    selected: 1.100.0-r4
   protected: none
     omitted: none

 app-mobilephone/obex-data-server
    selected: 0.4.6
   protected: none
     omitted: none

 media-libs/phonon-gstreamer
    selected: 4.6.3
   protected: none
     omitted: none

 virtual/perl-Package-Constants
    selected: 0.20.0-r4
   protected: none
     omitted: none

 sys-kernel/gentoo-sources
    selected: 3.14.16
   protected: none
     omitted: 3.18.7

 virtual/perl-ExtUtils-MakeMaker
    selected: 6.640.0
   protected: none
     omitted: none

 app-text/libwpg
    selected: 0.2.2
   protected: none
     omitted: 0.3.0

 virtual/perl-CPAN-Meta-Requirements
    selected: 2.122.0-r2
   protected: none
     omitted: none

 virtual/ffmpeg
    selected: 9-r1
   protected: none
     omitted: none

 kde-base/nepomuk-widgets
    selected: 4.12.5
   protected: none
     omitted: none

 app-text/libwpd
    selected: 0.9.9
   protected: none
     omitted: 0.10.0-r1

 virtual/perl-Compress-Raw-Bzip2
    selected: 2.60.0-r2
   protected: none
     omitted: none

 perl-core/CPAN-Meta-Requirements
    selected: 2.122.0-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-soup
    selected: 0.10.31-r1
   protected: none
     omitted: none

 perl-core/IO
    selected: 1.25-r1
   protected: none
     omitted: none

 perl-core/IPC-Cmd
    selected: 0.780.0-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-meta
    selected: 0.10-r9
   protected: none
     omitted: none

 kde-base/nepomuk-core
    selected: 4.14.3
   protected: none
     omitted: none

 perl-core/ExtUtils-MakeMaker
    selected: 6.640.0-r1
   protected: none
     omitted: none

 dev-libs/openobex
    selected: 1.5
   protected: none
     omitted: none

 media-plugins/gst-plugins-xvideo
    selected: 0.10.36-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-x
    selected: 0.10.36-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-x264
    selected: 0.10.19-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-dts
    selected: 0.10.23-r1
   protected: none
     omitted: none

 net-libs/libsoup
    selected: 2.46.0-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-xvid
    selected: 0.10.23-r1
   protected: none
     omitted: none

 virtual/perl-ExtUtils-Command
    selected: 1.170.0-r5
   protected: none
     omitted: none

 perl-core/Compress-Raw-Bzip2
    selected: 2.60.0
   protected: none
     omitted: none

 media-plugins/gst-plugins-a52dec
    selected: 0.10.19-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-mpeg2dec
    selected: 0.10.19-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-resindvd
    selected: 0.10.23-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-vorbis
    selected: 0.10.36-r1
   protected: none
     omitted: none

 dev-libs/shared-desktop-ontologies
    selected: 0.11.0
   protected: none
     omitted: none

 virtual/perl-Module-Load-Conditional
    selected: 0.540.0-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-ogg
    selected: 0.10.36-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-cdparanoia
    selected: 0.10.36-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-flac
    selected: 0.10.31-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-faad
    selected: 0.10.23-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-mad
    selected: 0.10.19-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-dvdread
    selected: 0.10.19-r1
   protected: none
     omitted: none

 media-plugins/gst-plugins-alsa
    selected: 0.10.36-r1
   protected: none
     omitted: none

 virtual/perl-Scalar-List-Utils
    selected: 1.270.0-r2
   protected: none
     omitted: none

 perl-core/Scalar-List-Utils
    selected: 1.270.0
   protected: none
     omitted: none

 net-libs/glib-networking
    selected: 2.40.1-r1
   protected: none
     omitted: none

 perl-core/Module-Load-Conditional
    selected: 0.540.0
   protected: none
     omitted: none

 media-libs/faad2
    selected: 2.7-r3
   protected: none
     omitted: none

 media-sound/cdparanoia
    selected: 3.10.2-r6
   protected: none
     omitted: none

 media-libs/gst-plugins-good
    selected: 0.10.31-r1
   protected: none
     omitted: none

 media-libs/gst-plugins-bad
    selected: 0.10.23-r2
   protected: none
     omitted: none

 media-libs/gst-plugins-ugly
    selected: 0.10.19-r1
   protected: none
     omitted: none

 virtual/perl-Module-Load
    selected: 0.240.0-r1
   protected: none
     omitted: none

 virtual/perl-Module-CoreList
    selected: 2.840.0
   protected: none
     omitted: none

 app-admin/eselect-cdparanoia
    selected: 0.1
   protected: none
     omitted: none

 gnome-base/gsettings-desktop-schemas
    selected: 3.12.2
   protected: none
     omitted: none

 net-libs/libproxy
    selected: 0.4.11-r2
   protected: none
     omitted: none

 virtual/perl-Params-Check
    selected: 0.360.0-r1
   protected: none
     omitted: none

 perl-core/Module-Load
    selected: 0.240.0
   protected: none
     omitted: none

 perl-core/Module-CoreList
    selected: 2.840.0
   protected: none
     omitted: none

 perl-core/Params-Check
    selected: 0.360.0-r1
   protected: none
     omitted: none

 virtual/perl-Locale-Maketext-Simple
    selected: 0.210.0-r4
   protected: none
     omitted: none

All selected packages: =net-libs/libsoup-2.46.0-r1 =virtual/perl-Scalar-List-Utils-1.270.0-r2 =media-plugins/gst-plugins-a52dec-0.10.19-r1 =media-plugins/gst-plugins-dts-0.10.23-r1 =dev-libs/shared-desktop-ontologies-0.11.0 =virtual/perl-Module-Load-0.240.0-r1 =media-plugins/gst-plugins-cdparanoia-0.10.36-r1 =media-libs/libvpx-1.3.0 =app-text/libwpd-0.9.9 =virtual/perl-IO-Zlib-1.100.0-r4 =virtual/perl-ExtUtils-Command-1.170.0-r5 =virtual/perl-Module-Load-Conditional-0.540.0-r1 =perl-core/Scalar-List-Utils-1.270.0 =net-libs/glib-networking-2.40.1-r1 =sys-devel/gcc-4.7.3-r1 =perl-core/CPAN-Meta-Requirements-2.122.0-r1 =media-libs/lcms-1.19-r2 =media-plugins/gst-plugins-mpeg2dec-0.10.19-r1 =perl-core/IO-1.25-r1 =app-mobilephone/obexd-0.46 =virtual/perl-Locale-Maketext-Simple-0.210.0-r4 =media-plugins/gst-plugins-resindvd-0.10.23-r1 =media-libs/gst-plugins-bad-0.10.23-r2 =dev-libs/openobex-1.5 =virtual/perl-Compress-Raw-Bzip2-2.60.0-r2 =virtual/perl-Params-Check-0.360.0-r1 =virtual/perl-Module-CoreList-2.840.0 =media-plugins/gst-plugins-xvideo-0.10.36-r1 =media-plugins/gst-plugins-dvdread-0.10.19-r1 =media-plugins/gst-plugins-flac-0.10.31-r1 =perl-core/Module-Load-Conditional-0.540.0 =virtual/perl-Package-Constants-0.20.0-r4 =media-sound/cdparanoia-3.10.2-r6 =perl-core/Compress-Raw-Bzip2-2.60.0 =media-plugins/gst-plugins-faad-0.10.23-r1 =media-plugins/gst-plugins-alsa-0.10.36-r1 =sys-kernel/gentoo-sources-3.14.14 =media-plugins/gst-plugins-vorbis-0.10.36-r1 =sys-kernel/gentoo-sources-3.14.16 =app-admin/eselect-cdparanoia-0.1 =net-libs/libproxy-0.4.11-r2 =media-libs/phonon-gstreamer-4.6.3 =media-plugins/gst-plugins-xvid-0.10.23-r1 =perl-core/Params-Check-0.360.0-r1 =gnome-base/gsettings-desktop-schemas-3.12.2 =virtual/ffmpeg-9-r1 =media-plugins/gst-plugins-x264-0.10.19-r1 =media-plugins/gst-plugins-x-0.10.36-r1 =perl-core/Module-Load-0.240.0 =perl-core/Module-CoreList-2.840.0 =media-libs/gst-plugins-good-0.10.31-r1 =app-mobilephone/obex-data-server-0.4.6 =sys-devel/automake-1.12.6 =media-libs/faad2-2.7-r3 =perl-core/ExtUtils-MakeMaker-6.640.0-r1 =app-portage/cpuinfo2cpuflags-1 =virtual/perl-ExtUtils-MakeMaker-6.640.0 =media-plugins/gst-plugins-mad-0.10.19-r1 =media-plugins/gst-plugins-ogg-0.10.36-r1 =kde-base/nepomuk-widgets-4.12.5 =virtual/perl-IO-1.25 =perl-core/IPC-Cmd-0.780.0-r1 =virtual/perl-CPAN-Meta-Requirements-2.122.0-r2 =media-libs/gst-plugins-ugly-0.10.19-r1 =virtual/perl-IPC-Cmd-0.780.0 =perl-core/IO-Compress-2.60.0 =media-plugins/gst-plugins-meta-0.10-r9 =kde-base/nepomuk-core-4.14.3 =media-plugins/gst-plugins-soup-0.10.31-r1 =app-text/libwpg-0.2.2

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging (1 of 70) sys-devel/gcc-4.7.3-r1...
 * Switching native-compiler to i686-pc-linux-gnu-4.8.3 ...>>> Regenerating /etc/ld.so.cache...
 [ ok ]
 * Running 'fix_libtool_files.sh 4.7.3'
gpg-agent[2891]: directory `/var/tmp/portage/._unmerge_/sys-devel/gcc-4.7.3-r1/homedir/.gnupg' created
gpg-agent[2891]: directory `/var/tmp/portage/._unmerge_/sys-devel/gcc-4.7.3-r1/homedir/.gnupg/private-keys-v1.d' created
gpg-agent[2892]: gpg-agent (GnuPG) 2.0.26 started
Scanning libtool files for hardcoded gcc library paths...
 *   [1/4] Scanning /lib ...
 *   [2/4] Scanning /usr/lib ...
 *   [3/4] Scanning /usr/local/lib ...
 *   [4/4] Scanning /usr/i686-pc-linux-gnu/lib ...
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7094
Location: Saint Amant, Acadiana

PostPosted: Sun Mar 15, 2015 7:40 pm    Post subject: Reply with quote

Not sure what is going on with your GCC, not there watching over your shoulder. You can run
Code:
emerge -a --depclean --exclude sys-devel/gcc
to clean up your system and deal with GCC later.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
tryn
Guru
Guru


Joined: 21 Dec 2002
Posts: 319
Location: 39.885° N. -88.913° W.

PostPosted: Sun Mar 15, 2015 8:31 pm    Post subject: Reply with quote

Mati

Is it possible that this was not done on your computer before trying to do the "emerge --depclean" ?

https://wiki.gentoo.org/wiki/Upgrading_GCC
Back to top
View user's profile Send private message
Mati
Apprentice
Apprentice


Joined: 02 Sep 2008
Posts: 172

PostPosted: Mon Mar 16, 2015 5:39 pm    Post subject: Reply with quote

Hi,

thanks, i did the depclean for the other 69 packages which worked fine.
However, i still get hung at :

Code:

Calculating removal order...

 sys-devel/gcc
    selected: 4.7.3-r1
   protected: none
     omitted: 4.8.3

All selected packages: =sys-devel/gcc-4.7.3-r1

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging (1 of 1) sys-devel/gcc-4.7.3-r1...
 * Switching native-compiler to i686-pc-linux-gnu-4.8.3 ...>>> Regenerating /etc/ld.so.cache...
 [ ok ]
 * Running 'fix_libtool_files.sh 4.7.3'
gpg-agent[19613]: directory `/var/tmp/portage/._unmerge_/sys-devel/gcc-4.7.3-r1/homedir/.gnupg' created
gpg-agent[19613]: directory `/var/tmp/portage/._unmerge_/sys-devel/gcc-4.7.3-r1/homedir/.gnupg/private-keys-v1.d' created
gpg-agent[19614]: gpg-agent (GnuPG) 2.0.26 started
Scanning libtool files for hardcoded gcc library paths...
 *   [1/4] Scanning /lib ...
 *   [2/4] Scanning /usr/lib ...
 *   [3/4] Scanning /usr/local/lib ...
 *   [4/4] Scanning /usr/i686-pc-linux-gnu/lib ...



My gcc-config says:

Code:

gcc-config -l
 [1] i686-pc-linux-gnu-4.8.3 *


so i don't know what to do now. It seems somehow that there is some old version and fix_libtool_files.sh cannot fix it or something...

Any idea?
Back to top
View user's profile Send private message
Mati
Apprentice
Apprentice


Joined: 02 Sep 2008
Posts: 172

PostPosted: Thu Apr 16, 2015 3:39 pm    Post subject: Reply with quote

* push
Back to top
View user's profile Send private message
tryn
Guru
Guru


Joined: 21 Dec 2002
Posts: 319
Location: 39.885° N. -88.913° W.

PostPosted: Thu Apr 16, 2015 8:26 pm    Post subject: Reply with quote

Try doing this first because there was a newer version when you first started this post.
Code:

# emerge --sync
# emerge -u gcc
          # gcc-config -l
          [1] i686-pc-linux-gnu-4.4.5 *
          [2] i686-pc-linux-gnu-4.5.3
          # gcc-config 2
          # env-update && source /etc/profile
          # emerge --oneshot libtool


Then try
Code:
# emerge --depclean -p


First then try the real thing.
See if this helps you.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum